Archive the Genderize extension
Closed, ResolvedPublicRequest

Description

Reason:

  • Archive documentation on mediawiki.org ( https://www.mediawiki.org/wiki/Extension:Genderize )
  • Remove from mediawiki/extensions / mediawiki/skins ( along with in .gitmodules)
  • Remove tests in integration/config ( zuul/layout.yaml )
  • Remove from translatewiki ( groups/MediaWiki/mediawiki-extensions.txt / groups/MediaWiki/mediawiki-skins.txt )
  • Empty repository and add a OBSOLETE file.
  • Archive the extension's diffusion repository
  • Mark the repository read-only in Gerrit
  • Delete the GitHub mirror: https://github.com/wikimedia/mediawiki-extensions-Genderize

Based on https://wikiapiary.com/wiki/Extension:Genderize it is used on a single wiki which is no more available.

hashar created this task.May 31 2018, 8:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2018, 8:13 PM

Change 436630 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive Genderize extension

https://gerrit.wikimedia.org/r/436630

hashar updated the task description. (Show Details)May 31 2018, 8:14 PM

Change 436630 merged by jenkins-bot:
[integration/config@master] Archive Genderize extension

https://gerrit.wikimedia.org/r/436630

MarcoAurelio triaged this task as Normal priority.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 6 2018, 9:39 AM
MarcoAurelio updated the task description. (Show Details)

Change 437701 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Genderize@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437701

Change 437702 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Genderize@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437702

Change 437701 merged by Hashar:
[mediawiki/extensions/Genderize@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437701

Change 437702 merged by Hashar:
[mediawiki/extensions/Genderize@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437702

Change 437709 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437709

MarcoAurelio updated the task description. (Show Details)

Change 437724 had a related patch set (by MarcoAurelio) published:
[translatewiki@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437724

Change 437724 merged by jenkins-bot:
[translatewiki@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437724

Change 437709 merged by Hashar:
[mediawiki/extensions@master] Archive the Genderize extension

https://gerrit.wikimedia.org/r/437709

hashar updated the task description. (Show Details)Jun 6 2018, 7:12 PM
hashar updated the task description. (Show Details)Jun 6 2018, 7:47 PM
MarcoAurelio closed this task as Resolved.Jun 7 2018, 9:29 AM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.
Vvjjkkii renamed this task from Archive the Genderize extension to vvbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to MarcoAurelio.
CommunityTechBot renamed this task from vvbaaaaaaa to Archive the Genderize extension.
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot added a subscriber: CommunityTechBot.